local name = Var("GameCommand"):GetName();
local xLocations = {
	Solo = SCREEN_CENTER_X*0.5,
	Team = SCREEN_CENTER_X*1.5,
};

local t = Def.ActorFrame {
	Def.ActorFrame {

		LoadActor( name.."spin")..{
			Name=name.."Ring";
			InitCommand=cmd(x,xLocations[name];y,SCREEN_CENTER_Y;effectmagnitude,0,0,90;blend,"BlendMode_Add";);
			OnCommand=cmd(diffusealpha,0;decelerate,0.5;diffusealpha,1;);
			GainFocusCommand=cmd(stoptweening;accelerate,0.15;zoom,0.8;spin;effectmagnitude,0,0,30;);
			LoseFocusCommand=cmd(stoptweening;accelerate,0.15;zoom,0.5;stopeffect;);
			OffFocusedCommand=cmd(stoptweening;decelerate,0.25;zoom,1;diffusealpha,1;accelerate,0.3;diffusealpha,0;);
			OffUnfocusedCommand=cmd(accelerate,0.2;diffusealpha,0);
		};

		LoadActor( "_icon "..name )..{
			Name=name.."Icon";
			InitCommand=cmd(x,xLocations[name];y,SCREEN_CENTER_Y);
			OnCommand=cmd(diffusealpha,0;decelerate,0.5;diffusealpha,1;blend,"BlendMode_Normal";);
			GainFocusCommand=cmd(stoptweening;accelerate,0.15;zoom,0.8;glowshift;effectperiod,2;effectcolor1,1,1,1,0.0;effectcolor2,1,1,1,0.2;);
			LoseFocusCommand=cmd(stoptweening;stopeffect;accelerate,0.15;zoom,0.5);
			OffFocusedCommand=cmd(stoptweening;decelerate,0.25;zoom,1;diffusealpha,1;sleep,0;accelerate,0.3;diffusealpha,0;);
			OffUnfocusedCommand=cmd(accelerate,0.2;diffusealpha,0);
		};


		LoadActor( "_text "..name )..{
			Name=name.."Text";
			InitCommand=cmd(x,xLocations[name];y,SCREEN_CENTER_Y);
			OnCommand=cmd(diffusealpha,0;decelerate,0.5;diffusealpha,1;blend,"BlendMode_Normal";);
			GainFocusCommand=cmd(stoptweening;accelerate,0.15;zoom,1;glowshift;effectperiod,2;effectcolor1,1,1,1,0.0;effectcolor2,1,1,1,0.2;);
			LoseFocusCommand=cmd(stoptweening;stopeffect;accelerate,0.15;zoom,0.8);
			OffFocusedCommand=cmd(stoptweening;decelerate,0.25;zoom,1.3;diffusealpha,1;sleep,0;accelerate,0.3;diffusealpha,0;);
			OffUnfocusedCommand=cmd(accelerate,0.2;diffusealpha,0);
		};
	};
};

return t;